Bug 14661 - space needed in added to staff side cart message, if items added are already in cart
Summary: space needed in added to staff side cart message, if items added are already ...
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Searching (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Kyle M Hall
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-08-07 12:20 UTC by HB-NEKLS
Modified: 2016-12-05 21:23 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 14661 - space needed in added to staff side cart message, if items added are already in cart (1.62 KB, patch)
2015-08-07 17:59 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 14661 - space needed in added to staff side cart message, if items added are already in cart (1.62 KB, patch)
2015-08-07 18:03 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 14661 - space needed in added to staff side cart message, if items added are already in cart (1.62 KB, patch)
2015-08-07 18:05 UTC, Kyle M Hall
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 14661 - space needed in added to staff side cart message, if items added are already in cart (1.68 KB, patch)
2015-08-07 18:22 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 14661 - space needed in added to staff side cart message, if items added are already in cart (1.80 KB, patch)
2015-08-12 11:18 UTC, j.kylmala
Details | Diff | Splinter Review
Bug 14661 - space needed in added to staff side cart message, if items added are already in cart (1.87 KB, patch)
2015-08-19 07:41 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description HB-NEKLS 2015-08-07 12:20:07 UTC
There is a missing space in the "added to cart" message on the staff side, when you are adding 2 or more items to the cart, where 1+ is already in the cart and 1+ is not in the cart. I verified that this is not an issue in the OPAC cart function. 

Test: 

1. Search for records in your system. 
2. In search results, select the first two records and choose Add to Cart. 
3. Message returned, "2 item(s) added to your cart", as expected. 
4. Keep those 2 records selected, and select 2 additional records (so 4 total records selected), and choose Add to Cart again. 
5. Message returned, "2 item(s) added to your cart2 already in your cart".

Some sort of break needed between the two messages.
Comment 1 Christopher Brannon 2015-08-07 13:32:06 UTC
This may be version specific.  I could not replicate this in 3.21.

Christopher
Comment 2 Christopher Brannon 2015-08-07 13:32:06 UTC
This may be version specific.  I could not replicate this in 3.21.

Christopher
Comment 3 Christopher Brannon 2015-08-07 13:32:24 UTC
This may be version specific.  I could not replicate this in 3.21.

Christopher
Comment 4 Kyle M Hall 2015-08-07 17:59:46 UTC Comment hidden (obsolete)
Comment 5 Kyle M Hall 2015-08-07 18:03:48 UTC Comment hidden (obsolete)
Comment 6 Kyle M Hall 2015-08-07 18:05:02 UTC Comment hidden (obsolete)
Comment 7 Kyle M Hall 2015-08-07 18:22:29 UTC Comment hidden (obsolete)
Comment 8 j.kylmala 2015-08-12 11:18:36 UTC Comment hidden (obsolete)
Comment 9 Jonathan Druart 2015-08-19 07:41:19 UTC
Created attachment 41648 [details] [review]
Bug 14661 - space needed in added to staff side cart message, if items added are already in cart

There is a missing space in the "added to cart" message on the staff side, when you are adding 2 or more items to the cart, where 1+ is already in the cart and 1+ is not in the cart. I verified that this is not an issue in the OPAC cart function.

Test:

1. Search for records in your system.
2. In search results, select the first two records and choose Add to Cart.
3. Message returned, "2 item(s) added to your cart", as expected.
4. Keep those 2 records selected, and select 2 additional records (so 4 total records selected), and choose Add to Cart again.
5. Message returned, "2 item(s) added to your cart2 already in your cart".
6. Apply this patch
7. Repeat steps 1 through 4
8. Note the two phrases are on separate lines

Signed-off-by: Heather Braum <hbraum@nekls.org>
Signed-off-by: Joonas Kylmälä <j.kylmala@gmail.com>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 10 Jonathan Druart 2015-08-19 07:41:50 UTC
I confirm the bug on master.
Comment 11 Tomás Cohen Arazi 2015-08-21 13:23:55 UTC
Patch pushed to master.

Thanks Kyle!